import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

public class ColorfulApplet extends Applet {
   public void init() {
      for (int i = 0; i < 3; i++) {
         TFHandler tfHandler = new TFHandler();
         TextField tf = new TextField(10);
         tf.addFocusListener(tfHandler);
         tf.addKeyListener(tfHandler);
         add(tf);
      }
   }
}

class TFHandler implements FocusListener, KeyListener {

   public void focusGained(FocusEvent e) {
      e.getComponent().setBackground(Color.red);
   }

   public void focusLost(FocusEvent e) {
      e.getComponent().setBackground(Color.white);
   }

   public void keyTyped(KeyEvent e) {
      if (e.getKeyChar() == '!')
         e.getComponent().setBackground(Color.yellow);
   }

   // Left-over Listener events.
   public void keyPressed(KeyEvent e) { }
   public void keyReleased(KeyEvent e) { }
}
