import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

public class HelpApplet extends Applet {
    public void init() {
       Button b;
       Panel p = new Panel();
       setLayout(new BorderLayout());

       HelpLabel label = new HelpLabel();

       b = new Button("Arcturus");
       b.addMouseListener(label);
       p.add(b); 

       b = new Button("Betelgeuse");
       b.addMouseListener(label);
       p.add(b); 

       b = new Button("Centauri");
       b.addMouseListener(label);
       p.add(b);

       add("North", p);
       add("South", label);
    }
}

class HelpLabel extends Label implements MouseListener {

   public void mouseEntered(MouseEvent e) {
      Button b = (Button)(e.getComponent());
      String s = "Writes " + b.getLabel() + " to the standard output";
      setText(s);
   }

   public void mouseClicked(MouseEvent e) {
      Button b = (Button)(e.getComponent());
      System.out.println(b.getLabel());
   }
   
   // Left-over MouseListener methods.
   public void mousePressed(MouseEvent e) { }
   public void mouseReleased(MouseEvent e) { }
   public void mouseExited(MouseEvent e) { }

}
