public class Employee {
   private static nextNumber;

   private int employeeNumber;
   private Amount salary;

   public Employee() {
      employeeNumber = nextNumber++;
   }

   int getEmployeeNumber() {
      return employeeNumber;
   }

   Amount getSalary() {
      return salary;
   }
}

class Amount {
   private int dollars;
   private int cents;

   int getDollars() {
      return dollars;
   }

   void setDollars(int d) {
      if (d >= 0)
         dollars = d;
   }

   int getCents() {
      return cents;
   }

   void setCents(int c) {
      if (c >= 0 && c <= 99)
         cents = c;
   }
}
